var __defProp = Object.defineProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });

// src/aspect-ratio.tsx
import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { mapResponsive } from "@chakra-ui/utils";
import { chakra } from "@chakra-ui/vue-system";
import { defineComponent } from "vue";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CAspectRatio = defineComponent({
  name: "CAspectRatio",
  props: {
    ratio: {
      type: [Number],
      default: 4 / 3
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => _createVNode(chakra.div, _mergeProps({
      "__label": "aspect-ratio",
      "position": "relative",
      "_before": {
        height: 0,
        content: `""`,
        display: "block",
        paddingBottom: mapResponsive(props.ratio, (r) => `${1 / r * 100}%`)
      },
      "__css": {
        "& > *:not(style)": {
          overflow: "hidden",
          position: "absolute",
          top: "0",
          right: "0",
          bottom: "0",
          left: "0",
          display: "flex",
          justifyContent: "center",
          alignItems: "center",
          width: "100%",
          height: "100%"
        },
        "& > img, & > video": {
          objectFit: "cover"
        }
      }
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/badge.tsx
import { createVNode as _createVNode2, isVNode as _isVNode2, mergeProps as _mergeProps2 } from "vue";
import { defineComponent as defineComponent2, computed } from "vue";
import { chakra as chakra2, useStyleConfig } from "@chakra-ui/vue-system";
import { filterUndefined } from "@chakra-ui/utils";
import { vueThemingProps } from "@chakra-ui/vue-utils";
function _isSlot2(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode2(s);
}
__name(_isSlot2, "_isSlot");
var CBadge = defineComponent2({
  name: "CBadge",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    ...vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig("Badge", themingProps);
    return () => {
      return _createVNode2(chakra2.div, _mergeProps2({
        "as": props.as,
        "__label": "badge",
        "__css": {
          display: "inline-block",
          whiteSpace: "nowrap",
          verticalAlign: "middle",
          ...styles.value
        }
      }, attrs), _isSlot2(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/box.tsx
import { isVNode as _isVNode3, createVNode as _createVNode3, mergeProps as _mergeProps3 } from "vue";
import { computed as computed2, defineComponent as defineComponent3 } from "vue";
import { chakra as chakra3 } from "@chakra-ui/vue-system";
function _isSlot3(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode3(s);
}
__name(_isSlot3, "_isSlot");
var CBox = defineComponent3({
  name: "CBox",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => _createVNode3(chakra3.div, _mergeProps3({
      "as": props.as,
      "__label": "box"
    }, attrs), {
      default: () => {
        var _a;
        return (_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots);
      }
    });
  }
});
var CSquare = defineComponent3({
  name: "CSquare",
  props: {
    size: [Object, String, Number],
    centerContent: {
      type: [Boolean],
      default: true
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = computed2(() => props.centerContent ? {
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    } : {});
    return () => _createVNode3(CBox, _mergeProps3({
      "__label": "square",
      "boxSize": props.size,
      "__css": {
        ...styles.value,
        flexShrink: 0,
        flexGrow: 0
      }
    }, attrs), _isSlot3(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CCircle = defineComponent3({
  name: "CCircle",
  setup(_, {
    slots,
    attrs
  }) {
    return () => _createVNode3(CSquare, _mergeProps3({
      "__label": "circle",
      "borderRadius": "9999px"
    }, attrs), _isSlot3(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/center.tsx
import { createVNode as _createVNode4, isVNode as _isVNode4, mergeProps as _mergeProps4 } from "vue";
import { defineComponent as defineComponent4 } from "vue";
import { chakra as chakra4 } from "@chakra-ui/vue-system";
function _isSlot4(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode4(s);
}
__name(_isSlot4, "_isSlot");
var CCenter = defineComponent4({
  name: "CCenter",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => {
      return _createVNode4(chakra4.div, _mergeProps4({
        "__label": "center",
        "__css": {
          display: "flex",
          alignItems: "center",
          justifyContent: "center"
        }
      }, props, attrs), _isSlot4(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/container.tsx
import { createVNode as _createVNode5, isVNode as _isVNode5, mergeProps as _mergeProps5 } from "vue";
import { defineComponent as defineComponent5, computed as computed3 } from "vue";
import { chakra as chakra5, useStyleConfig as useStyleConfig2 } from "@chakra-ui/vue-system";
import { filterUndefined as filterUndefined2 } from "@chakra-ui/utils";
import { vueThemingProps as vueThemingProps2 } from "@chakra-ui/vue-utils";
function _isSlot5(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode5(s);
}
__name(_isSlot5, "_isSlot");
var CContainer = defineComponent5({
  name: "CContainer",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    centerContent: {
      type: [Boolean]
    },
    ...vueThemingProps2
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed3(() => filterUndefined2({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig2("Container", themingProps);
    return () => _createVNode5(chakra5.div, _mergeProps5({
      "__label": "container",
      "__css": {
        ...styles.value,
        ...props.centerContent && {
          display: "flex",
          flexDirection: "column",
          alignItems: "center"
        }
      }
    }, attrs), _isSlot5(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/divider.tsx
import { createVNode as _createVNode6 } from "vue";
import { defineComponent as defineComponent6, computed as computed4 } from "vue";
import { chakra as chakra6, useStyleConfig as useStyleConfig3 } from "@chakra-ui/vue-system";
import { filterUndefined as filterUndefined3 } from "@chakra-ui/utils";
import { vueThemingProps as vueThemingProps3 } from "@chakra-ui/vue-utils";
var CDivider = defineComponent6({
  name: "CDivider",
  props: {
    orientation: {
      type: [String],
      default: "horizontal"
    },
    ...vueThemingProps3
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed4(() => filterUndefined3({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig,
      orientation: props.orientation
    }));
    const styles = useStyleConfig3("Divider", themingProps);
    const {
      borderLeftWidth,
      borderBottomWidth,
      borderTopWidth,
      borderRightWidth,
      borderWidth,
      borderStyle,
      borderColor,
      ...stylesRest
    } = styles.value;
    const dividerStyle = computed4(() => {
      const dividerStyles = {
        vertical: {
          borderLeftWidth: borderLeftWidth || borderRightWidth || borderWidth || "1px",
          height: "100%"
        },
        horizontal: {
          borderBottomWidth: borderBottomWidth || borderTopWidth || borderWidth || "1px",
          width: "100%"
        }
      };
      return dividerStyles[props.orientation];
    });
    return () => _createVNode6(chakra6.hr, {
      "aria-orientation": props.orientation,
      "__css": {
        ...stylesRest,
        border: 0,
        borderColor,
        borderStyle,
        ...dividerStyle.value
      },
      "__label": "divider"
    }, {
      default: () => {
        var _a;
        return [(_a = slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});

// src/flex.tsx
import { createVNode as _createVNode7, isVNode as _isVNode6, mergeProps as _mergeProps6 } from "vue";
import { defineComponent as defineComponent7, reactive } from "vue";
import { chakra as chakra7 } from "@chakra-ui/vue-system";
function _isSlot6(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode6(s);
}
__name(_isSlot6, "_isSlot");
var CFlex = defineComponent7({
  name: "CFlex",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    align: [Object, String, Array],
    justify: [Object, String, Array],
    wrap: [Object, String, Array],
    direction: {
      type: [Object, String, Array],
      default: "row"
    },
    basis: [Object, String, Array],
    grow: [Object, String, Array],
    shrink: [Object, String, Array],
    size: String
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = reactive({
      display: "flex",
      flexDirection: props.direction,
      alignItems: props.align,
      justifyContent: props.justify,
      flexWrap: props.wrap,
      flexBasis: props.basis,
      flexGrow: props.grow,
      flexShrink: props.shrink,
      h: props.size,
      w: props.size
    });
    return () => _createVNode7(chakra7.div, _mergeProps6({
      "as": props.as,
      "__label": "flex",
      "__css": styles
    }, attrs), _isSlot6(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/grid.tsx
import { createVNode as _createVNode8, isVNode as _isVNode7, mergeProps as _mergeProps7 } from "vue";
import { defineComponent as defineComponent8, computed as computed5 } from "vue";
import { chakra as chakra8 } from "@chakra-ui/vue-system";
import { filterUndefined as filterUndefined4, mapResponsive as mapResponsive2 } from "@chakra-ui/utils";
import { SNAO } from "@chakra-ui/vue-utils";
function _isSlot7(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode7(s);
}
__name(_isSlot7, "_isSlot");
var CGrid = defineComponent8({
  name: "CGrid",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    },
    templateColumns: SNAO,
    gap: SNAO,
    rowGap: SNAO,
    columnGap: SNAO,
    autoFlow: SNAO,
    autoRows: SNAO,
    autoColumns: SNAO,
    templateRows: SNAO,
    templateAreas: SNAO,
    area: SNAO,
    column: SNAO,
    row: SNAO
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = computed5(() => filterUndefined4({
      display: "grid",
      gridArea: props.area,
      gridTemplateAreas: props.templateAreas,
      gridGap: props.gap,
      gridRowGap: props.rowGap,
      gridColumnGap: props.columnGap,
      gridAutoColumns: props.autoColumns,
      gridColumn: props.column,
      gridRow: props.row,
      gridAutoFlow: props.autoFlow,
      gridAutoRows: props.autoRows,
      gridTemplateRows: props.templateRows,
      gridTemplateColumns: props.templateColumns
    }));
    return () => {
      return _createVNode8(chakra8.div, _mergeProps7({
        "as": props.as,
        "__label": "grid",
        "__css": styles.value
      }, attrs), _isSlot7(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});
function spanFn(span) {
  return mapResponsive2(span, (value) => value === "auto" ? "auto" : `span ${value}/span ${value}`);
}
__name(spanFn, "spanFn");
var CGridItem = defineComponent8({
  name: "CGridItem",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    },
    colSpan: SNAO,
    colStart: SNAO,
    colEnd: SNAO,
    rowStart: SNAO,
    rowEnd: SNAO,
    rowSpan: SNAO
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = computed5(() => filterUndefined4({
      gridColumn: spanFn(props.colSpan),
      gridRow: spanFn(props.rowSpan),
      gridColumnStart: props.colStart,
      gridColumnEnd: props.colEnd,
      gridRowStart: props.rowStart,
      gridRowEnd: props.rowEnd
    }));
    return () => _createVNode8(chakra8.div, _mergeProps7({
      "as": props.as,
      "__label": "grid__item",
      "__css": styles.value
    }, attrs), _isSlot7(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/heading.tsx
import { createVNode as _createVNode9, isVNode as _isVNode8, mergeProps as _mergeProps8 } from "vue";
import { vueThemingProps as vueThemingProps4 } from "@chakra-ui/vue-utils";
import { chakra as chakra9, useStyleConfig as useStyleConfig4 } from "@chakra-ui/vue-system";
import { computed as computed6, defineComponent as defineComponent9 } from "vue";
import { filterUndefined as filterUndefined5 } from "@chakra-ui/utils";
function _isSlot8(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode8(s);
}
__name(_isSlot8, "_isSlot");
var CHeading = defineComponent9({
  name: "CHeading",
  props: {
    as: {
      type: [String, Object],
      default: "h2"
    },
    ...vueThemingProps4
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed6(() => filterUndefined5({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig4("Heading", themingProps);
    return () => _createVNode9(chakra9.h2, _mergeProps8({
      "as": props.as,
      "__label": "heading",
      "__css": styles.value
    }, attrs), _isSlot8(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/link.tsx
import { createVNode as _createVNode10, isVNode as _isVNode9, mergeProps as _mergeProps9 } from "vue";
import { vueThemingProps as vueThemingProps5 } from "@chakra-ui/vue-utils";
import { defineComponent as defineComponent10, computed as computed7 } from "vue";
import { chakra as chakra10, useStyleConfig as useStyleConfig5 } from "@chakra-ui/vue-system";
import { filterUndefined as filterUndefined6 } from "@chakra-ui/utils";
function _isSlot9(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode9(s);
}
__name(_isSlot9, "_isSlot");
var CLink = defineComponent10({
  name: "CLink",
  props: {
    as: {
      type: [Object, String],
      default: "a"
    },
    isExternal: Boolean,
    ...vueThemingProps5
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed7(() => filterUndefined6({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig5("Link", themingProps);
    return () => _createVNode10(chakra10.a, _mergeProps9({
      "as": props.as,
      "__label": "link",
      "target": props.isExternal ? "_blank" : void 0,
      "rel": props.isExternal ? "noopener noreferrer" : void 0,
      "__css": styles.value
    }, attrs), _isSlot9(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/link-box.tsx
import { createVNode as _createVNode11, isVNode as _isVNode10, mergeProps as _mergeProps10 } from "vue";
import { defineComponent as defineComponent11 } from "vue";
import { chakra as chakra11 } from "@chakra-ui/vue-system";
function _isSlot10(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode10(s);
}
__name(_isSlot10, "_isSlot");
var CLinkOverlay = defineComponent11({
  name: "CLinkOverlay",
  props: {
    as: {
      type: [Object, String],
      default: "a"
    },
    isExternal: Boolean
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => _createVNode11(chakra11.div, _mergeProps10({
      "as": props.as,
      "__label": "linkbox__overlay",
      "rel": props.isExternal ? "noopener noreferrer" : void 0,
      "target": props.isExternal ? "_blank" : void 0,
      "__css": {
        position: "static",
        "&::before": {
          content: "''",
          cursor: "inherit",
          display: "block",
          position: "absolute",
          top: 0,
          left: 0,
          zIndex: 0,
          width: "100%",
          height: "100%"
        }
      }
    }, attrs), _isSlot10(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CLinkBox = defineComponent11({
  name: "CLinkBox",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => {
      return _createVNode11(chakra11.div, _mergeProps10({
        "as": props.as,
        "__label": "linkbox",
        "position": "relative",
        "__css": {
          "a[href]:not(.chakra-linkbox__overlay), abbr[title]": {
            position: "relative",
            zIndex: 1
          }
        }
      }, attrs), _isSlot10(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/list.tsx
import { createVNode as _createVNode12, isVNode as _isVNode11, mergeProps as _mergeProps11 } from "vue";
import { CIcon } from "@chakra-ui/c-icon";
import { useMultiStyleConfig, useStyles, StylesProvider } from "@chakra-ui/vue-system";
import { defineComponent as defineComponent12, computed as computed8 } from "vue";
import { chakra as chakra12 } from "@chakra-ui/vue-system";
import { getValidChildren, SNAO as SNAO2, SAO } from "@chakra-ui/vue-utils";
function _isSlot11(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode11(s);
}
__name(_isSlot11, "_isSlot");
var CList = defineComponent12({
  name: "CList",
  props: {
    as: {
      type: [Object, String],
      default: "ul"
    },
    styleType: {
      type: SAO,
      default: "none"
    },
    stylePosition: SAO,
    spacing: SNAO2
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = useMultiStyleConfig("List", props);
    StylesProvider(styles);
    const selector2 = "& > *:not(style) ~ *:not(style)";
    const spacingStyle = computed8(() => props.spacing ? {
      [selector2]: {
        mt: props.spacing
      }
    } : {});
    return () => {
      const validChildren = /* @__PURE__ */ __name(() => getValidChildren(slots), "validChildren");
      return _createVNode12(chakra12.ul, _mergeProps11({
        "__label": "list",
        "as": props.as,
        "listStyleType": props.styleType,
        "listStylePosition": props.stylePosition,
        "role": "list",
        "__css": {
          ...styles.value.container,
          ...spacingStyle.value
        }
      }, attrs), _isSlot11(validChildren) ? validChildren : {
        default: () => [validChildren]
      });
    };
  }
});
var COrderedList = defineComponent12({
  name: "COrderedList",
  setup(props, {
    slots,
    attrs
  }) {
    return () => _createVNode12(CList, _mergeProps11({
      "styleType": "decimal",
      "marginStart": "1em"
    }, attrs), _isSlot11(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CUnorderedList = defineComponent12({
  name: "CUnorderedList",
  setup(props, {
    slots,
    attrs
  }) {
    return () => _createVNode12(CList, _mergeProps11({
      "styleType": "initial",
      "marginStart": "1em"
    }, attrs), _isSlot11(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CListItem = defineComponent12({
  name: "CListItem",
  setup(_, {
    slots,
    attrs
  }) {
    const styles = useStyles();
    return () => {
      return _createVNode12(chakra12.li, _mergeProps11({
        "__label": "list__item",
        "__css": styles.value.item
      }, attrs), _isSlot11(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});
var CListIcon = defineComponent12({
  name: "CListIcon",
  setup(_, {
    slots,
    attrs
  }) {
    const styles = useStyles();
    return () => {
      return _createVNode12(CIcon, _mergeProps11({
        "role": "presentation"
      }, attrs, {
        "__css": styles.value.icon
      }), _isSlot11(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/kbd.tsx
import { createVNode as _createVNode13, isVNode as _isVNode12, mergeProps as _mergeProps12 } from "vue";
import { vueThemingProps as vueThemingProps6 } from "@chakra-ui/vue-utils";
import { chakra as chakra13, useStyleConfig as useStyleConfig6 } from "@chakra-ui/vue-system";
import { computed as computed9, defineComponent as defineComponent13 } from "vue";
import { filterUndefined as filterUndefined7 } from "@chakra-ui/utils";
function _isSlot12(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode12(s);
}
__name(_isSlot12, "_isSlot");
var CKbd = defineComponent13({
  name: "CKbd",
  props: {
    as: {
      type: [String, Object],
      default: "h2"
    },
    ...vueThemingProps6
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed9(() => filterUndefined7({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig6("Kbd", themingProps);
    return () => _createVNode13(chakra13.kbd, _mergeProps12({
      "__label": "kbd",
      "__css": {
        fontFamily: "mono",
        ...styles.value
      }
    }, attrs), _isSlot12(slots) ? slots : {
      default: () => [slots]
    });
  }
});

// src/simple-grid.tsx
import { createVNode as _createVNode14, isVNode as _isVNode13, mergeProps as _mergeProps13 } from "vue";
import { defineComponent as defineComponent14, computed as computed10 } from "vue";
import { SNAO as SNAO3 } from "@chakra-ui/vue-utils";
import { isNull, isNumber, mapResponsive as mapResponsive3 } from "@chakra-ui/utils";
function _isSlot13(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode13(s);
}
__name(_isSlot13, "_isSlot");
var CSimpleGrid = defineComponent14({
  name: "CSimpleGrid",
  props: {
    as: {
      type: [Object, String],
      default: "ul"
    },
    minChildWidth: SNAO3,
    columns: SNAO3,
    spacing: SNAO3,
    spacingX: SNAO3,
    spacingY: SNAO3
  },
  setup(props, {
    slots,
    attrs
  }) {
    const templateColumns = computed10(() => props.minChildWidth ? widthToColumns(props.minChildWidth) : countToColumns(props.columns));
    return () => _createVNode14(CGrid, _mergeProps13({
      "as": props.as,
      "__label": "simple-grid",
      "gap": props.spacing,
      "columnGap": props.spacingX,
      "rowGap": props.spacingY,
      "templateColumns": templateColumns.value
    }, attrs), _isSlot13(slots) ? slots : {
      default: () => [slots]
    });
  }
});
function toPx(n) {
  return isNumber(n) ? `${n}px` : n;
}
__name(toPx, "toPx");
function widthToColumns(width) {
  return mapResponsive3(width, (value) => isNull(value) ? null : `repeat(auto-fit, minmax(${toPx(value)}, 1fr))`);
}
__name(widthToColumns, "widthToColumns");
function countToColumns(count) {
  return mapResponsive3(count, (value) => isNull(value) ? null : `repeat(${value}, minmax(0, 1fr))`);
}
__name(countToColumns, "countToColumns");

// src/spacer.tsx
import { createVNode as _createVNode15, isVNode as _isVNode14 } from "vue";
import { chakra as chakra14 } from "@chakra-ui/vue-system";
import { defineComponent as defineComponent15 } from "vue";
function _isSlot14(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode14(s);
}
__name(_isSlot14, "_isSlot");
var CSpacer = defineComponent15({
  name: "CSpacer",
  setup(_, {
    slots
  }) {
    return () => {
      return _createVNode15(chakra14.div, {
        "__label": "spacer",
        "baseStyle": {
          flex: 1,
          justifySelf: "stretch",
          alignSelf: "stretch"
        }
      }, _isSlot14(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/stack.tsx
import { isVNode as _isVNode15, createVNode as _createVNode16, mergeProps as _mergeProps14 } from "vue";
import { defineComponent as defineComponent16, computed as computed11, Fragment, createVNode } from "vue";
import { chakra as chakra15 } from "@chakra-ui/vue-system";

// src/stack.utils.ts
import { mapResponsive as mapResponsive4 } from "@chakra-ui/utils";
var selector = "& > *:not(style) ~ *:not(style)";
function getStackStyles(options) {
  const {
    spacing,
    direction
  } = options;
  const directionStyles = {
    column: {
      marginTop: spacing,
      marginEnd: 0,
      marginBottom: 0,
      marginStart: 0
    },
    row: {
      marginTop: 0,
      marginEnd: 0,
      marginBottom: 0,
      marginStart: spacing
    },
    "column-reverse": {
      marginTop: 0,
      marginEnd: 0,
      marginBottom: spacing,
      marginStart: 0
    },
    "row-reverse": {
      marginTop: 0,
      marginEnd: spacing,
      marginBottom: 0,
      marginStart: 0
    }
  };
  return {
    flexDirection: direction,
    [selector]: mapResponsive4(direction, (value) => directionStyles[value])
  };
}
__name(getStackStyles, "getStackStyles");
function getDividerStyles(options) {
  const {
    spacing,
    direction
  } = options;
  const dividerStyles = {
    column: {
      my: spacing,
      mx: 0,
      borderLeftWidth: 0,
      borderBottomWidth: "1px"
    },
    "column-reverse": {
      my: spacing,
      mx: 0,
      borderLeftWidth: 0,
      borderBottomWidth: "1px"
    },
    row: {
      mx: spacing,
      my: 0,
      borderLeftWidth: "1px",
      borderBottomWidth: 0
    },
    "row-reverse": {
      mx: spacing,
      my: 0,
      borderLeftWidth: "1px",
      borderBottomWidth: 0
    }
  };
  return {
    "&": mapResponsive4(direction, (value) => dividerStyles[value])
  };
}
__name(getDividerStyles, "getDividerStyles");

// src/stack.tsx
function _isSlot15(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode15(s);
}
__name(_isSlot15, "_isSlot");
var CStackDivider = defineComponent16({
  name: "CStackDivider",
  inheritAttrs: false,
  setup(_, {
    attrs,
    slots
  }) {
    return () => {
      return _createVNode16(chakra15.div, _mergeProps14({
        "__label": "stack__divider",
        "borderWidth": 0,
        "alignSelf": "stretch",
        "borderColor": "inherit",
        "width": "auto",
        "height": "auto"
      }, attrs), {
        default: () => {
          var _a;
          return [(_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots)];
        }
      });
    };
  }
});
var CStackItem = defineComponent16({
  name: "CStackItem",
  setup(_, {
    attrs,
    slots
  }) {
    return () => _createVNode16(chakra15.div, _mergeProps14({
      "__label": "stack__item",
      "display": "inline-block",
      "flex": "0 0 auto",
      "minWidth": "0"
    }, attrs), {
      default: () => {
        var _a;
        return [(_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});
var stackProps = {
  as: {
    type: [Object, String],
    default: "div"
  },
  align: [String, Array, Object],
  justify: [String, Array, Object],
  wrap: [String, Array, Object],
  spacing: {
    type: [String, Array, Object, Number],
    default: "0.5rem"
  },
  direction: [String, Array, Object],
  divider: [Object, Boolean],
  shouldWrapChildren: [Boolean],
  isInline: [Boolean]
};
var CStack = defineComponent16({
  name: "CStack",
  props: stackProps,
  setup(props, {
    slots,
    attrs
  }) {
    const direction = computed11(() => {
      var _a;
      return props.isInline ? "row" : (_a = props.direction) != null ? _a : "column";
    });
    const styles = computed11(() => getStackStyles({
      direction: direction.value,
      spacing: props.spacing
    }));
    const dividerStyle = computed11(() => getDividerStyles({
      spacing: props.spacing,
      direction: direction.value
    }));
    const hasDivider = computed11(() => !!props.divider);
    const shouldUseChildren = computed11(() => !props.shouldWrapChildren && !hasDivider.value);
    return () => {
      const validChildren = slots;
      const clones = shouldUseChildren.value ? validChildren : validChildren.map((child, index) => {
        const isLast = index + 1 === validChildren.length;
        const wrappedChild = createVNode(CStackItem, {
          key: index
        }, child);
        const _child = props.shouldWrapChildren ? wrappedChild : child;
        if (!hasDivider.value)
          return _child;
        const clonedDivider = createVNode(CStackDivider, {
          borderColor: "blue.200",
          __css: dividerStyle.value
        });
        const _divider = isLast ? null : clonedDivider;
        return createVNode(Fragment, {
          key: index
        }, [_child, _divider]);
      });
      return _createVNode16(chakra15.div, _mergeProps14({
        "__label": "stack",
        "display": "flex",
        "alignItems": props.align,
        "justifyContent": props.justify,
        "flexDirection": styles.value.flexDirection,
        "flexWrap": props.wrap,
        "__css": hasDivider.value ? {} : {
          [selector]: styles.value[selector]
        }
      }, attrs), _isSlot15(clones) ? clones : {
        default: () => [clones]
      });
    };
  }
});
var CHStack = defineComponent16({
  name: "CHStack",
  props: stackProps,
  setup(props, {
    attrs,
    slots
  }) {
    return () => _createVNode16(CStack, _mergeProps14({
      "__label": "stack-horizontal"
    }, props, attrs, {
      "direction": "row"
    }), {
      default: () => {
        var _a;
        return [(_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});
var CVStack = defineComponent16({
  name: "CVStack",
  props: stackProps,
  setup(props, {
    attrs,
    slots
  }) {
    return () => _createVNode16(CStack, _mergeProps14({
      "__label": "stack-vertical"
    }, props, attrs, {
      "direction": "column"
    }), {
      default: () => {
        var _a;
        return [(_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});

// src/text.tsx
import { createVNode as _createVNode17, isVNode as _isVNode16, mergeProps as _mergeProps15 } from "vue";
import { filterUndefined as filterUndefined8 } from "@chakra-ui/utils";
import { chakra as chakra16, useStyleConfig as useStyleConfig7 } from "@chakra-ui/vue-system";
import { SNAO as SNAO4, vueThemingProps as vueThemingProps7 } from "@chakra-ui/vue-utils";
import { computed as computed12, defineComponent as defineComponent17 } from "vue";
function _isSlot16(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode16(s);
}
__name(_isSlot16, "_isSlot");
var CText = defineComponent17({
  name: "CText",
  props: {
    as: {
      type: [Object, String],
      default: "p"
    },
    align: SNAO4,
    decoration: SNAO4,
    casing: SNAO4,
    ...vueThemingProps7
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed12(() => filterUndefined8({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig7("Text", themingProps);
    const aliasedProps = computed12(() => filterUndefined8({
      textAlign: props.align,
      textDecoration: props.decoration,
      textTransform: props.casing
    }));
    return () => {
      return _createVNode17(chakra16.p, _mergeProps15({
        "__label": "text"
      }, aliasedProps.value, {
        "__css": styles.value
      }, attrs), _isSlot16(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

// src/wrap.tsx
import { mergeProps as _mergeProps16, createVNode as _createVNode18, isVNode as _isVNode17 } from "vue";
import { mapResponsive as mapResponsive5 } from "@chakra-ui/utils";
import { chakra as chakra17, tokenToCSSVar } from "@chakra-ui/vue-system";
import { getValidChildren as getValidChildren2, SNAO as SNAO5 } from "@chakra-ui/vue-utils";
import { computed as computed13, defineComponent as defineComponent18 } from "vue";
function _isSlot17(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode17(s);
}
__name(_isSlot17, "_isSlot");
var wrapProps = {
  spacing: SNAO5,
  justify: SNAO5,
  align: SNAO5,
  direction: SNAO5,
  shouldWrapChildren: SNAO5
};
var CWrap = defineComponent18({
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    ...wrapProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = computed13(() => ({
      "--chakra-wrap-spacing": (theme) => mapResponsive5(props.spacing, (value) => tokenToCSSVar("space", value)(theme)),
      "--wrap-spacing": "calc(var(--chakra-wrap-spacing) / 2)",
      display: "flex",
      flexWrap: "wrap",
      justifyContent: props.justify,
      alignItems: props.align,
      flexDirection: props.direction,
      listStyleType: "none",
      padding: "0",
      margin: "calc(var(--wrap-spacing) * -1)",
      "& > *:not(style)": {
        margin: "var(--wrap-spacing)"
      }
    }));
    const childrenToRender = props.shouldWrapChildren ? getValidChildren2(slots).map((child, index) => _createVNode18(CWrapItem, {
      "key": index
    }, _isSlot17(child) ? child : {
      default: () => [child]
    })) : slots;
    return () => {
      return _createVNode18(chakra17.div, _mergeProps16({
        "as": props.as,
        "__label": "wrap"
      }, attrs), {
        default: () => _createVNode18(chakra17.ul, {
          "__label": "wrap__list",
          "__css": styles.value
        }, _isSlot17(childrenToRender) ? childrenToRender : {
          default: () => [childrenToRender]
        })
      });
    };
  }
});
var CWrapItem = defineComponent18({
  setup(_, {
    attrs,
    slots
  }) {
    return () => {
      return _createVNode18(chakra17.li, _mergeProps16({
        "__label": "wrap__listItem",
        "__css": {
          display: "flex",
          alignItems: "flex-start"
        }
      }, attrs), {
        default: () => getValidChildren2(slots)
      });
    };
  }
});
export {
  CAspectRatio,
  CBadge,
  CBox,
  CCenter,
  CCircle,
  CContainer,
  CDivider,
  CFlex,
  CGrid,
  CGridItem,
  CHStack,
  CHeading,
  CKbd,
  CLink,
  CLinkBox,
  CLinkOverlay,
  CList,
  CListIcon,
  CListItem,
  COrderedList,
  CSimpleGrid,
  CSpacer,
  CSquare,
  CStack,
  CStackDivider,
  CStackItem,
  CText,
  CUnorderedList,
  CVStack,
  CWrap,
  CWrapItem,
  wrapProps
};
